PDA

View Full Version : Problem with extension GL_NV_fragment_program2



oppid
03-05-2012, 04:58 AM
Hi everyone,
I have a problem with "Dynamic Ambient Occlusion" program that I have downloaded from here http://developer.download.nvidia.com/SDK/9.5/Samples/samples.html
At runtime I got the error: "Required Extension not found: GL_NV_fragment_program2".

My graphics card is an AMD Radeon 4650. Any solutions?
Thanks in advance.

Alfonse Reinheart
03-05-2012, 10:25 AM
You mean your ATI graphics card doesn't implement an NVIDIA extension? What a surprise ;)

In general, NVIDIA likes making samples that only run on NVIDIA hardware. There's not much you can do about that. Just look at it and try to learn from it. Maybe translate it into GLSL as an exercise. But that's about it.